Runtime

## org.eclipse.gmf.runtime.diagram.ui.editpolicies
Class DiagramDragDropEditPolicy

    java.lang.Object
      org.eclipse.gef.editpolicies.AbstractEditPolicy
          org.eclipse.gef.editpolicies.GraphicalEditPolicy
              org.eclipse.gmf.runtime.diagram.ui.editpolicies.DragDropEditPolicy
                  org.eclipse.gmf.runtime.diagram.ui.editpolicies.DiagramDragDropEditPolicy

All Implemented Interfaces:
  EditPolicy, RequestConstants

public class DiagramDragDropEditPolicy
extends DragDropEditPolicy

Field Summary

Fields inherited from class org.eclipse.gmf.runtime.diagram.ui.editpolicies.DragDropEditPolicy
`opacity, revertColor`

Fields inherited from interface org.eclipse.gef.EditPolicy
`COMPONENT_ROLE, CONNECTION_BENDPOINTS_ROLE, CONNECTION_ENDPOINTS_ROLE, CONNECTION_ROLE, CONTAINER_ROLE, DIRECT_EDIT_ROLE, GRAPHICAL_NODE_ROLE, LAYOUT_ROLE, NODE_ROLE, PRIMARY_DRAG_ROLE, SELECTION_FEEDBACK_ROLE, TREE_CONTAINER_ROLE`

Fields inherited from interface org.eclipse.gef.RequestConstants
`REQ_ADD, REQ_ALIGN, REQ_ALIGN_CHILDREN, REQ_CLONE, REQ_CONNECTION_END, REQ_CONNECTION_START, REQ_CREATE, REQ_CREATE_BENDPOINT, REQ_DELETE, REQ_DELETE_DEPENDANT, REQ_DIRECT_EDIT, REQ_MOVE, REQ_MOVE_BENDPOINT, REQ_MOVE_CHILDREN, REQ_OPEN, REQ_ORPHAN, REQ_ORPHAN_CHILDREN, REQ_RECONNECT_SOURCE, REQ_RECONNECT_TARGET, REQ_RESIZE, REQ_RESIZE_CHILDREN, REQ_SELECTION, REQ_SELECTION_HOVER`

Constructor Summary
`DiagramDragDropEditPolicy()`

Method Summary
`protected Command` `createViewsAndArrangeCommand(DropObjectsRequest dropRequest, java.util.List viewDescriptors)` createViewsAndArrangeCommand Method to create all the view based on the viewDescriptors list and provide a default arrangement of them.
`protected Command` `getDropCommand(ChangeBoundsRequest request)` Handles dropping attributes from a class to the diagram to show as an association.
`protected Command` `getDropFileCommand(DropObjectsRequest dropRequest)` getDropFileCommand Handler method for the dropRequest as a result of a file transfer drag / drop operation.
`Command` `getDropObjectsCommand(DropObjectsRequest dropRequest)` getDropObjectsCommand This provides a generic implementation for handling the DropObjectsRequest which checks for EObject and gets a command from the getDropEementCommand method.
`void` `showTargetFeedback(Request request)`

Methods inherited from class org.eclipse.gmf.runtime.diagram.ui.editpolicies.DragDropEditPolicy
`castToDropObjectsRequest, eraseTargetFeedback, getCommand, getDragCommand, getDropElementCommand, getHostObject, getRequiredDragDetail, getTargetEditPart, understandsRequest`

Methods inherited from class org.eclipse.gef.editpolicies.GraphicalEditPolicy
`addFeedback, getFeedbackLayer, getHostFigure, getLayer, removeFeedback`

Methods inherited from class org.eclipse.gef.editpolicies.AbstractEditPolicy
`activate, deactivate, debugFeedback, eraseSourceFeedback, getHost, setHost, showSourceFeedback, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DiagramDragDropEditPolicy

    public DiagramDragDropEditPolicy()

Method Detail

### getDropFileCommand

    protected Command getDropFileCommand(DropObjectsRequest dropRequest)

  getDropFileCommand Handler method for the dropRequest as a result of a file transfer drag / drop operation.

  Parameters:
    `dropRequest` - DropObjectsRequest that contains a list of Strings in it's objects list.
  Returns:
    Command that that create the resulting view of the file if any, null otherwise.

### getDropObjectsCommand

    public Command getDropObjectsCommand(DropObjectsRequest dropRequest)

  Description copied from class: `DragDropEditPolicy`
  getDropObjectsCommand This provides a generic implementation for handling the DropObjectsRequest which checks for EObject and gets a command from the getDropEementCommand method.

  Overrides:
    `getDropObjectsCommand` in class `DragDropEditPolicy`
  Parameters:
    `dropRequest` - DropObjectsRequest that is being handled
  Returns:
    Command that handles the request.
  See Also:
    `EditPolicy.getCommand(Request)`

### createViewsAndArrangeCommand

    protected Command createViewsAndArrangeCommand(DropObjectsRequest dropRequest,
                                                   java.util.List viewDescriptors)

  createViewsAndArrangeCommand Method to create all the view based on the viewDescriptors list and provide a default arrangement of them.

  Parameters:
    `dropRequest` -
    `viewDescriptors` -
  Returns:
    command

### showTargetFeedback

    public void showTargetFeedback(Request request)

  Specified by:
    `showTargetFeedback` in interface `EditPolicy`
  Overrides:
    `showTargetFeedback` in class `DragDropEditPolicy`
  See Also:
    `EditPolicy.showTargetFeedback(org.eclipse.gef.Request)`

### getDropCommand

    protected Command getDropCommand(ChangeBoundsRequest request)

  Handles dropping attributes from a class to the diagram to show as an association.

  Overrides:
    `getDropCommand` in class `DragDropEditPolicy`
  Parameters:
    `request` - the request
  Returns:
    command
  See Also:
    `DragDropEditPolicy.getDropCommand(org.eclipse.gef.requests.ChangeBoundsRequest)`

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.